Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.encoding
Class XMLSourceCodec

    java.lang.Object
      |
      +--weblogic.webservice.encoding.AbstractCodec
            |
            +--weblogic.webservice.encoding.AttachmentCodec
                  |
                  +--weblogic.webservice.encoding.XMLSourceCodec

public class XMLSourceCodec
extends AttachmentCodec

See Also:
  Serialized Form

Constructor Summary
`XMLSourceCodec()`

Method Summary
`protected java.lang.Object` | `deserializeContent(java.lang.Object input)`
`protected java.lang.String` | `getContentType()`
`protected java.lang.Object` | `serializeContent(java.lang.Object input)`

Methods inherited from class weblogic.webservice.encoding.AttachmentCodec
`addBodyElement, deserialize, deserialize, deserialize, getAttachmentPart, serialize, serialize`

Methods inherited from class weblogic.webservice.encoding.AbstractCodec
`getDeserializerAs, getMechanismType, getSerializerAs, getSupportedMechanismTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLSourceCodec

    public XMLSourceCodec()

Method Detail

### deserializeContent

    protected java.lang.Object deserializeContent(java.lang.Object input)

  Overrides:
    deserializeContent in class AttachmentCodec

### getContentType

    protected java.lang.String getContentType()

  Overrides:
    getContentType in class AttachmentCodec

### serializeContent

    protected java.lang.Object serializeContent(java.lang.Object input)

  Overrides:
    serializeContent in class AttachmentCodec

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference